MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Macros | Functions
MeHostParser.cpp File Reference

Driver for Me Host Parser module. More...

`#include "MeHostParser.h"`
Include dependency graph for MeHostParser.cpp:

## Macros
#define | HEAD 0xA5
#define | TAIL 0x5A
#define | ST_WAIT_4_START 0x01
#define | ST_HEAD_READ 0x02
#define | ST_MODULE_READ 0x03
#define | ST_LENGTH_READ 0x04
#define | ST_DATA_READ 0x05
#define | ST_CHECK_READ 0x06

## Functions
uint8_t | calculateLRC (uint8_t *data, uint32_t length)

## Detailed Description

Driver for Me Host Parser module.

Author
  MakeBlock

Version
  V1.0.0

Date
  2015/11/12

Copyright
  This software is Copyright (C), 2012-2016, MakeBlock. Use is subject to license
  conditions. The main licensing options available are GPL V2 or Commercial:

Open Source Licensing GPL V2
  This is the appropriate option if you want to share the source code of your
  application with everyone you distribute it to, and you also want to give them
  the right to share who uses it. If you wish to use this software under Open
  Source Licensing, you must contribute all your source code to the open source
  community in accordance with the GPL Version 2 when your application is
  distributed. See http://www.gnu.org/copyleft/gpl.html

Description
  This file is a drive for Me Host Parser device, The Me Host Parser inherited the MeSerial class from SoftwareSerial.

Method List:

1. uint8_t MeHostParser::pushStr(uint8_t * str, uint32_t length);
2. uint8_t MeHostParser::pushByte(uint8_t ch);
3. uint8_t MeHostParser::run();
4. uint8_t MeHostParser::getPackageReady();
5. uint8_t MeHostParser::getData(uint8_t *buf, uint32_t size);
6. void MeHostParser::print(char *str, uint32_t * cnt);

History:

      `<Author>`         `<Time>`        `<Version>`        `<Descr>`
      forfish         2015/11/12    1.0.0            Add description

## Function Documentation

## ◆ calculateLRC()

uint8_t calculateLRC | ( | uint8_t * | data,
|  | uint32_t | length
| ) |  |

Function
  calculateLRC

Description
  To calculate the LRC.

Parameters

  [in] | data | - A pointer to data.
  [in] | length | - The length of LRC.

Output
  None

Return
  Return the LRC.

Others
  None